<%

    #
    #  Copyright (C) 2001, 2002 MIT
    #
    #  This file is part of dotLRN.
    #
    #  dotLRN is free software; you can redistribute it and/or modify it under the
    #  terms of the GNU General Public License as published by the Free Software
    #  Foundation; either version 2 of the License, or (at your option) any later
    #  version.
    #
    #  dotLRN is distributed in the hope that it will be useful, but WITHOUT ANY
    #  WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
    #  FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
    #  details.
    #

%>

<master>
<property name="title">#dotlrn.help#</property>

<p><a href="#Edit%20PersonalInfo">Editing Personal Information</a> | <a href="#JoinDrop">Joining/Dropping 
  Groups</a> | <a href="#RequestGroup">Requesting a New Group</a> | <a href="#BulkEmail">Sending Bulk Email</a> 
  | <a href="#Alerts">Modifying Your Forum Email Alerts</a>| <a href="#Help">Additional Help</a></p> 

<h1><a name="EditPersonalInfo">Editing Personal Information</a></h1>
<p>
  You can change your personal information at any time. This enables you to protect 
  your password, correct or change your full name, publish a URL for a your website, 
  and change your login name/email address. If you do not keep this login name 
  the same as your current email address or a forwarding address, you will not 
  receive group emails and forum alerts from .LRN.
</p>

<h2>To Change Password:</h2>

<ul>
<li>Login and go to your My Account page</li>
 <li>If you do not have a personal portal, click on the Help icon in the group 
  banner to get to your My Account.</li>
  <li> Click on &quot;Change My Password&quot;</li>
  <li> Enter your new password twice and click &quot;Update.&quot;</li>
	</ul>

<h2>To change personal information:</h2>

<ul>
<li> Login and go to your My Account page</li>
<li>If you do not have a personal portal, click on the Help icon in the group 
  banner to get to your My Account.</li>
  <li>  Click on &quot;Edit My Personal Information&quot;</li>
  <li>  Edit your full name, your email address (which also changes your login 
  name to the system) and/or your personal URL.</li>
  <li> Click &quot;Update.&quot;</li>
	</ul>

<h1><a name="JoinDrop">Joining/Dropping Groups</a></h1>

<p>There are three types of groups: classes, communities and subgroups (of classes 
    and communities). Limited Access users (non-affiliated) cannot join 
    or drop groups.</p>

<h2>To join/drop classes and communities:</h2>
<ul>
<li> Go to your personal Home page, My Space.</li>
  <li> Click on &quot;Join/Drop a Class or Community Group&quot; in the Groups 
  portlet.</li>
  <li>  On the top of the page, you will see the list of your current class 
  and community memberships.</li>
  <li> Beside each group name is a &quot;Drop Membership&quot; icon.</li>
  <li> Scroll down the page to view the list of open classes and communities.</li>
  <li> Join any one by clicking on the join icon to the right of the group 
  name.</li>
  <li> Some groups have an approval process. For those, the link is called 
  &quot;Request Membership.&quot;</li>
  <li> An email will be sent to the group administrator who will approve/disapprove 
  your request and reply to you.</li>
	</ul>

<h2>To join/drop subgroups:</h2>
<ul>
  <li>  Since subgroups are subsets of groups, their memberships are handled 
  within the groups.</li>
  <li>  Go to your personal Home page, My Space.</li>
  <li>  Go to the class or community through the link in the Groups portlet.</li>
  <li> Locate the Subgroups portlet on the class or community portal pages.</li>
  <li> Click the &quot;Join/Drop a Subgroup&quot; link.</li>
  <li>  Click the &quot;join&quot; or &quot;drop&quot; link next to the desired 
  subgroup.</li>
  <li> Your membership status will change when the page reloads.</li>
  <li> Then, return to the Subgroup Home page or My Space to continue.</li>
	</ul>

<h1><a name="RequestGroup">Requesting a New Class or Community</a></h1>

<p>The Site Wide Administrator handles class and community requests. </p>
<p>To request a new class or to copy and reuse a class from a previous semester:<br>
  Send email <%=[ad_host_administrator]%>. For a new class, include the class 
  number, class title, professor(s), teaching assistants and course assistants. 
  You will be notified by email when the shell is created. To copy and reuse a 
  class, you need only email  <%=[ad_host_administrator]%> with the number, name 
  and previous semester of the course. Include professor, teaching assistant and 
  course assistant information if any of that has changed. The &quot;recycled&quot; 
  class will contain all old content, but the student list will be cleared.</p>

<h2>To request a new community:</h2>
<p>
    Send email to  <%=[ad_host_administrator]%>. Include the name of the community, 
    a brief description of its purpose, the faculty or staff sponsor, the name(s) 
    of any persons who will need to be administrators of this community. You will 
    be notified by email when the community shell has been created. 
</p>

<h1><a name="BulkEmail">Bulk Mail</a></h1>

<p>Class and community administrators can send group emails through the group administration
 page. If enabled, class and community members can send group emails through 
  the &quot;Email Members&quot; links on the user's My Account page.</p>

<h2>To send a group email:</h2>
  
<ul>
<li> For admins, go to the administration page and click &quot;New Bulk Mail.&quot;</li>
<li> For students in classes, go to the Staff List portlet and click on Member 
  List. </li>
  <li> Click "Email Members."</li>
  <li> Select roles to email: Members or Administrators.</li>
  <li> Fill out subject heading and enter message.</li>
  <li> Select Send date and time and click &quot;Submit.&quot;</li>
  <li>  Review the message and click &quot;Confirm.&quot;</li>
  <li> The email is sent to all members with the role chosen. Group admins can view 
  the bulk mail history from the group administration page.</li>
	</ul>
  
<h1><a name="Alerts">Modifying Your Forum Email Alerts</a></h1>
<p>
    You can subscribe and unsubscribe to email alerts for any forum open to you 
    through the "Edit My Forum Email Alerts" link on the My Account page. 
    Limited Access users can access their My Account page through the Help icon 
    in the group banner.
</p>

<h1><a name="Help">Additional Help</a></h1>
<p><a href="dotlrn-user-faq">User FAQ</a></p>
